Package org.apache.ignite.internal.cache.query.index.sorted.inline

## Class SortedSegmentedIndexCursor

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.SortedSegmentedIndexCursor

All Implemented Interfaces:
  `GridCursor<IndexRow>`

    public class SortedSegmentedIndexCursor
    extends Object
    implements GridCursor<IndexRow>

Single cursor over multiple segments. The next value is chosen with the index row comparator.

### Constructor Summary

Constructors
`SortedSegmentedIndexCursor​(GridCursor<IndexRow>[] cursors, SortedIndexDefinition idxDef)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Queue<GridCursor<IndexRow>>` `cursorsQueue​(GridCursor<IndexRow>[] cursors)`
`IndexRow` `get()` Gets element at current position.
`boolean` `next()` Attempt to move cursor position forward.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SortedSegmentedIndexCursor

    public SortedSegmentedIndexCursor​(GridCursor<IndexRow>[] cursors,
                                      SortedIndexDefinition idxDef)
                               throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

### Method Detail

#### next

    public boolean next()
                 throws IgniteCheckedException

Attempt to move cursor position forward.

Specified by:
  `next` in interface `GridCursor<IndexRow>`
Returns:
  `true` If we were able to move position of cursor forward.
Throws:
  `IgniteCheckedException` - If failed.

#### get

    public IndexRow get()
                 throws IgniteCheckedException

Gets element at current position. Must be called only after successful `GridCursor.next()` call.

Specified by:
  `get` in interface `GridCursor<IndexRow>`
Returns:
  Element at current position.
Throws:
  `IgniteCheckedException` - If failed.

#### cursorsQueue

    protected Queue<GridCursor<IndexRow>> cursorsQueue​(GridCursor<IndexRow>[] cursors)
                                                throws IgniteCheckedException

Throws:
  `IgniteCheckedException`